For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
  • Disbursements
      • GETList Inbound Transfers
      • POSTCreate an Inbound transfer
      • GETGet an Inbound Transfer
      • POSTCancel an Inbound Transfer
      • POSTSandbox: Fail an Inbound Transfer
      • POSTSandbox: Complete an Inbound Transfer
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsInbound Transfers

Create an Inbound transfer

POST
/v1/inbound_transfers
POST
/v1/inbound_transfers
$curl -X POST https://api.givechariot.com/v1/inbound_transfers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "amount": 10000,
> "account_id": "account_01jpjenf5q6cawy43yxfcrxhct"
>}'
1{
2 "id": "inbound_transfer_01j8rs605a4gctmbm58d87mvsj",
3 "amount": 10000,
4 "created_at": "2020-01-31T23:00:00Z",
5 "description": "InboundTransfer from my bank account",
6 "status": "pending",
7 "updated_at": "2020-01-31T23:00:00Z"
8}
Create an inbound transfer to fund your financial account from an externally linked bank account. In Production, this requires that an external bank account has been setup and verified for your account through the Chariot Dashboard.
Was this page helpful?
Previous

Get an Inbound Transfer

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Idempotency-KeystringOptional
The idempotency key for the request

Request

The request body for originating an inbound transfer from an external bank account
amountdoubleRequired
The amount of the transfer in cents. This amount must be positive.
account_idstringRequired
The identifier of the financial account that will receive the transfer.
descriptionstringOptional
An arbitrary string attached to the object. Often useful for displaying to users.

Response

The inbound transfer was created
idstringRead-only
The unique identifier for the inbound transfer
amountlong

The amount of the inbound transfer in minor currency units (cents). This amount must be positive.

created_atstringRead-onlyformat: "date-time"
The date and time the inbound transfer was created
descriptionstring
An arbitrary string attached to the object. Often useful for displaying to users.
statusenum

The status of the inbound transfer. An Inbound Transfer is pending if it created and the funds haven’t been received yet. The status changes to completed when the funds have been received and the balance of the financial account has been updated. The status changes to canceled if the transfer is canceled. The status changes to failed if the transfer fails.

Allowed values:
updated_atstringRead-onlyformat: "date-time"
The date and time the inbound transfer was last updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error